Respect working days configuration when sending reminder emails
2015-06-17 18:24 - Alexander Stehlik

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: Candidate for next major release

Description

Currently the reminder rake task will search for issues that are due in x days in the future without checking the working days
configuration of redmine

The attached patch introduces a new argument for the rake task: respect_nonworking_days. When this argument is TRUE, the
working days setting will be respected when calculating the days in the future. E.g. when 7 days are requested and in this period are
2 non working days, the query will search for issues that are due within 9 days.

Related issues:

Related to Redmine - Feature #30112: Option to stop sending reminders on non-... New

History

#1 - 2015-06-17 19:01 - Alexander Stehlik

- File redmine-reminder_respect_nonworking days-v2.diff added
Version 2 fixes a problem when the end day is in the middle of the weekend and adjusts the email templates.
#2 - 2015-07-17 13:37 - Toshi MARUYAMA

Could you add tests?
source:tags/3.0.4/test/unit/mailer_test.rb#1 598

#3 - 2016-12-24 05:07 - Go MAEDA

- Subject changed from Repect working days configuration when sending reminder emails to Respect working days configuration when sending
reminder emails

- Target version set to Candidate for next major release

#4 - 2024-01-22 14:55 - Marius BALTEANU

- Related to Feature #30112: Option to stop sending reminders on non-working days added

Files
redmine-reminder_respect_nonworking_days.diff 2.48 KB 2015-06-17 Alexander Stehlik
redmine-reminder_respect_nonworking_days-v2.diff 6.75 KB 2015-06-17 Alexander Stehlik

2024-05-18 1/1



https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.0.4/test/unit/mailer_test.rb#L598
http://www.tcpdf.org

